
*06-02-2014: cleaning syntax (Gill en Ester).

*Compute BMI parents.
COMPUTE P_BMI=P_weight / ((P_height/100) * (P_height/100)).
EXECUTE.

*Compute BMI children.
COMPUTE C_BMI=C_weight / ((C_height/100) * (C_height/100)).
EXECUTE.


RECODE P_ATT1_sport (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT1_sport.
VARIABLE LABELS  M_P_ATT1_sport 'reverse coded'.
EXECUTE.
RECODE P_ATT4_sport (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT4_sport.
VARIABLE LABELS  M_P_ATT4_sport 'reverse coded'.
EXECUTE.
RECODE P_ATT5_sport (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT5_sport.
VARIABLE LABELS  M_P_ATT5_sport 'reverse coded'.
EXECUTE.

RECODE C_ATT1_sport (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT1_sport.
VARIABLE LABELS  M_C_ATT1_sport 'reverse coded'.
EXECUTE.
RECODE C_ATT4_sport (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT4_sport.
VARIABLE LABELS  M_C_ATT4_sport 'reverse coded'.
EXECUTE.
RECODE C_ATT5_sport (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT5_sport.
VARIABLE LABELS  M_C_ATT5_sport 'reverse coded'.
EXECUTE.


RECODE P_ATT1_aer (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT1_aer.
VARIABLE LABELS  M_P_ATT1_aer 'reverse coded'.
EXECUTE.
RECODE P_ATT4_aer (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT4_aer.
VARIABLE LABELS  M_P_ATT4_aer 'reverse coded'.
EXECUTE.
RECODE P_ATT5_aer (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT5_aer.
VARIABLE LABELS  M_P_ATT5_aer 'reverse coded'.
EXECUTE.

RECODE C_ATT1_aer (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT1_aer.
VARIABLE LABELS  M_C_ATT1_aer 'reverse coded'.
EXECUTE.
RECODE C_ATT4_aer (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT4_aer.
VARIABLE LABELS  M_C_ATT4_aer 'reverse coded'.
EXECUTE.
RECODE C_ATT5_aer (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT5_aer.
VARIABLE LABELS  M_C_ATT5_aer 'reverse coded'.
EXECUTE.



RECODE P_ATT1_str (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT1_str.
VARIABLE LABELS  M_P_ATT1_str 'reverse coded'.
EXECUTE.
RECODE P_ATT4_str (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT4_str.
VARIABLE LABELS  M_P_ATT4_str 'reverse coded'.
EXECUTE.
RECODE P_ATT5_str (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_P_ATT5_str.
VARIABLE LABELS  M_P_ATT5_str 'reverse coded'.
EXECUTE.

RECODE C_ATT1_str (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT1_str.
VARIABLE LABELS  M_C_ATT1_str 'reverse coded'.
EXECUTE.
RECODE C_ATT4_str (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT4_str.
VARIABLE LABELS  M_C_ATT4_str 'reverse coded'.
EXECUTE.
RECODE C_ATT5_str (7=1) (6=2) (5=3) (4=4) (3=5) (2=6) (1=7) INTO M_C_ATT5_str.
VARIABLE LABELS  M_C_ATT5_str 'reverse coded'.
EXECUTE.




RELIABILITY
  /VARIABLES=M_P_ATT1_sport P_ATT2_sport P_ATT3_sport M_P_ATT4_sport M_P_ATT5_sport
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL.


RELIABILITY
  /VARIABLES=M_P_ATT1_aer P_ATT2_aer P_ATT3_aer M_P_ATT4_aer M_P_ATT5_aer
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=M_P_ATT1_str P_ATT2_str P_ATT3_str M_P_ATT4_str M_P_ATT5_str
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL.


RELIABILITY
  /VARIABLES=M_C_ATT1_sport C_ATT2_sport C_ATT3_sport M_C_ATT4_sport M_C_ATT5_sport
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL.


RELIABILITY
  /VARIABLES=M_C_ATT1_aer C_ATT2_aer C_ATT3_aer M_C_ATT4_aer M_C_ATT5_aer
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=M_C_ATT1_str C_ATT2_str C_ATT3_str M_C_ATT4_str M_C_ATT5_str
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL.


COMPUTE P_ATT_sport_TOT=mean(M_P_ATT1_sport,P_ATT2_sport,P_ATT3_sport,M_P_ATT4_sport,M_P_ATT5_sport).
EXECUTE. 
COMPUTE P_ATT_aer_TOT=mean(M_P_ATT1_aer,P_ATT2_aer,P_ATT3_aer,M_P_ATT4_aer,M_P_ATT5_aer).
EXECUTE. 
COMPUTE P_ATT_str_TOT=mean(M_P_ATT1_str,P_ATT2_str,P_ATT3_str,M_P_ATT4_str,M_P_ATT5_str).
EXECUTE.

COMPUTE C_ATT_sport_TOT=mean(M_C_ATT1_sport,C_ATT2_sport,C_ATT3_sport,M_C_ATT4_sport,M_C_ATT5_sport).
EXECUTE. 
COMPUTE C_ATT_aer_TOT=mean(M_C_ATT1_aer,C_ATT2_aer,C_ATT3_aer,M_C_ATT4_aer,M_C_ATT5_aer).
EXECUTE. 
COMPUTE C_ATT_str_TOT=mean(M_C_ATT1_str,C_ATT2_str,C_ATT3_str,M_C_ATT4_str,M_C_ATT5_str).
EXECUTE.




RECODE P_Hsport_basketball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_basketball_M.
EXECUTE.

RECODE P_Hsport_dancing (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_dancing_M.
EXECUTE.

RECODE P_Hsport_fitness (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) (11=660) INTO P_Hsport_fitness_M. 
EXECUTE.

RECODE P_Hsport_groupmusic (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) (11=660) INTO P_Hsport_groupmusic_M. 
EXECUTE.

RECODE P_Hsport_gymnastics (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_gymnastics_M. 
EXECUTE.

RECODE P_Hsport_handball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_handball_M. 
EXECUTE.

RECODE P_Hsport_running (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_running_M. 
EXECUTE.

RECODE P_Hsport_hockey (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_hockey_M. 
EXECUTE.

RECODE P_Hsport_korfball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_korfball_M. 
EXECUTE.

RECODE P_Hsport_horseriding (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_horseriding_M. 
EXECUTE.

RECODE P_Hsport_snow (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_snow_M. 
EXECUTE.

RECODE P_Hsport_tennis (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_tennis_M. 
EXECUTE.

RECODE P_Hsport_soccer (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_soccer_M. 
EXECUTE.

RECODE P_Hsport_volleyball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_volleyball_M. 
EXECUTE.

RECODE P_Hsport_hiking (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_hiking_M. 
EXECUTE.

RECODE P_Hsport_cycling (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_cycling_M. 
EXECUTE.

RECODE P_Hsport_swimming (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_swimming_M. 
EXECUTE.

RECODE P_Hsport_different (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO P_Hsport_different_M. 
EXECUTE.



RECODE C_Hsport_basketball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_basketball_M.
EXECUTE.

RECODE C_Hsport_dancing (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_dancing_M.
EXECUTE.

RECODE C_Hsport_fitness (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_fitness_M. 
EXECUTE.

RECODE C_Hsport_groupmusic (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) (11=660) INTO C_Hsport_groupmusic_M. 
EXECUTE.

RECODE C_Hsport_gymnastics (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_gymnastics_M. 
EXECUTE.

RECODE C_Hsport_handball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_handball_M. 
EXECUTE.

RECODE C_Hsport_running (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_running_M. 
EXECUTE.

RECODE C_Hsport_hockey (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_hockey_M. 
EXECUTE.

RECODE C_Hsport_baseball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_baseball_M. 
EXECUTE.

RECODE C_Hsport_korfball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_korfball_M. 
EXECUTE.

RECODE C_Hsport_horseriding (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_horseriding_M. 
EXECUTE.

RECODE C_Hsport_snow (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_snow_M. 
EXECUTE.

RECODE C_Hsport_tennis (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_tennis_M. 
EXECUTE.

RECODE C_Hsport_soccer (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_soccer_M. 
EXECUTE.

RECODE C_Hsport_volleyball (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_volleyball_M. 
EXECUTE.

RECODE C_Hsport_hiking (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_hiking_M. 
EXECUTE.

RECODE C_Hsport_cycling (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_cycling_M. 
EXECUTE.

RECODE C_Hsport_swimming (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_swimming_M. 
EXECUTE.

RECODE C_Hsport_different (1=60) (2=120) (3=180) (4=240) (5=300) (6=360) (7=420) (8=480) (9=540)  (10=600) INTO C_Hsport_different_M. 
EXECUTE.



COMPUTE P_Sport_min_week=sum(
(P_FREQsport_basketball*(sum(P_Hsport_basketball_M, P_Msport_basketball))),
(P_FREQsport_dancing*(sum(P_Hsport_dancing_M, P_Msport_dancing))),
(P_FREQsport_fitness* (sum(P_Hsport_fitness_M, P_Msport_fitness))),
(P_FREQsport_groupmusic*(sum(P_Hsport_groupmusic_M, P_Msport_groupmusic))),
(P_FREQsport_gymnastics*(sum(P_Hsport_gymnastics_M, P_Msport_gymnastics))),
(P_FREQsport_handball*(sum(P_Hsport_handball_M, P_Msport_handball))),
(P_FREQsport_running*(sum(P_Hsport_running_M, P_Msport_running))),
(P_FREQsport_hockey*(sum(P_Hsport_hockey_M, P_Msport_hockey))),
(P_FREQsport_korfball*(sum(P_Hsport_korfball_M, P_Msport_korfball))),
(P_FREQsport_horseriding*(sum(P_Hsport_horseriding_M, P_Msport_horseriding))),
(P_FREQsport_snow*(sum(P_Hsport_snow_M, P_Msport_snow))),
(P_FREQsport_tennis*(sum(P_Hsport_tennis_M, P_Msport_tennis))),
(P_FREQsport_soccer*(sum(P_Hsport_soccer_M, P_Msport_soccer))),
(P_FREQsport_volleyball*(sum(P_Hsport_volleyball_M, P_Msport_volleyball))),
(P_FREQsport_hiking*(sum(P_Hsport_hiking_M, P_Msport_hiking))),
(P_FREQsport_cycling*(sum(P_Hsport_cycling_M, P_Msport_cycling))),
(P_FREQsport_swimming*(sum(P_Hsport_swimming_M, P_Msport_swimming))),
(P_FREQsport_different*(sum(P_Hsport_different_M, P_Msport_different)))).
EXECUTE.



COMPUTE C_Sport_min_week=sum(
(C_FREQsport_basketball*(sum(C_Hsport_basketball_M, C_Msport_basketball))),
(C_FREQsport_dancing*(sum(C_Hsport_dancing_M, C_Msport_dancing))),
(C_FREQsport_baseball*(sum(C_Hsport_baseball_M, C_Msport_baseball))),
(C_FREQsport_fitness*(sum(C_Hsport_fitness_M, C_Msport_fitness))),
(C_FREQsport_groupmusic*(sum(C_Hsport_groupmusic_M, C_Msport_groupmusic))),
(C_FREQsport_gymnastics*(sum(C_Hsport_gymnastics_M, C_Msport_gymnastics))),
(C_FREQsport_handball*(sum(C_Hsport_handball_M, C_Msport_handball))),
(C_FREQsport_running*(sum(C_Hsport_running_M, C_Msport_running))),
(C_FREQsport_hockey*(sum(C_Hsport_hockey_M, C_Msport_hockey))),
(C_FREQsport_korfball*(sum(C_Hsport_korfball_M, C_Msport_korfball))),
(C_FREQsport_horseriding*(sum(C_Hsport_horseriding_M, C_Msport_horseriding))),
(C_FREQsport_snow*(sum(C_Hsport_snow_M, C_Msport_snow))),
(C_FREQsport_tennis*(sum(C_Hsport_tennis_M, C_Msport_tennis))),
(C_FREQsport_soccer*(sum(C_Hsport_soccer_M, C_Msport_soccer))),
(C_FREQsport_volleyball*(sum(C_Hsport_volleyball_M, C_Msport_volleyball))),
(C_FREQsport_hiking*(sum(C_Hsport_hiking_M, C_Msport_hiking))),
(C_FREQsport_cycling*(sum(C_Hsport_cycling_M, C_Msport_cycling))),
(C_FREQsport_swimming*(sum(C_Hsport_swimming_M, C_Msport_swimming))),
(C_FREQsport_different*(sum(C_Hsport_different_M, C_Msport_different)))).
EXECUTE.

Compute Age_child1 = Datediff (CREATED, BIRTH_DATE.1, "Years").
Execute. 
Compute Age_child2 = Datediff (CREATED, BIRTH_DATE.2, "Years").
Execute. 
Compute Age_child3 = Datediff (CREATED, BIRTH_DATE.3, "Years").
Execute. 
Compute Age_child4 = Datediff (CREATED, BIRTH_DATE.4, "Years").
Execute. 
Compute Age_child5 = Datediff (CREATED, BIRTH_DATE.5, "Years").
Execute. 
Compute Age_child6 = Datediff (CREATED, BIRTH_DATE.6, "Years").
Execute. 

Compute BIRTH_DATE = 9999.


DO IF (Age_child1 = 12).
RECODE BIRTH_DATE (9999=12).
END IF.
EXECUTE.
DO IF (Age_child2 = 12).
RECODE BIRTH_DATE (9999=12).
END IF.
EXECUTE.
DO IF (Age_child3 = 12).
RECODE BIRTH_DATE (9999=12).
END IF.
EXECUTE.
DO IF (Age_child4 = 12).
RECODE BIRTH_DATE (9999=12).
END IF.
EXECUTE.
DO IF (Age_child5 = 12).
RECODE BIRTH_DATE (9999=12).
END IF.
EXECUTE.
DO IF (Age_child6 = 12).
RECODE BIRTH_DATE (9999=12).
END IF.
EXECUTE.

DO IF (Age_child1 = 13).
RECODE BIRTH_DATE (9999=13).
END IF.
EXECUTE.
DO IF (Age_child2 = 13).
RECODE BIRTH_DATE (9999=13).
END IF.
EXECUTE.
DO IF (Age_child3 = 13).
RECODE BIRTH_DATE (9999=13).
END IF.
EXECUTE.
DO IF (Age_child4 = 13).
RECODE BIRTH_DATE (9999=13).
END IF.
EXECUTE.
DO IF (Age_child5 = 13).
RECODE BIRTH_DATE (9999=13).
END IF.
EXECUTE.
DO IF (Age_child6 = 13).
RECODE BIRTH_DATE (9999=13).
END IF.
EXECUTE.


DO IF (Age_child1 = 14).
RECODE BIRTH_DATE (9999=14).
END IF.
EXECUTE.
DO IF (Age_child2 = 14).
RECODE BIRTH_DATE (9999=14).
END IF.
EXECUTE.
DO IF (Age_child3 = 14).
RECODE BIRTH_DATE (9999=14).
END IF.
EXECUTE.
DO IF (Age_child4 = 14).
RECODE BIRTH_DATE (9999=14).
END IF.
EXECUTE.
DO IF (Age_child5 = 14).
RECODE BIRTH_DATE (9999=14).
END IF.
EXECUTE.
DO IF (Age_child6 = 14).
RECODE BIRTH_DATE (9999=14).
END IF.
EXECUTE.


DO IF (Age_child1 = 15).
RECODE BIRTH_DATE (9999=15).
END IF.
EXECUTE.
DO IF (Age_child2 = 15).
RECODE BIRTH_DATE (9999=15).
END IF.
EXECUTE.
DO IF (Age_child3 = 15).
RECODE BIRTH_DATE (9999=15).
END IF.
EXECUTE.
DO IF (Age_child4 = 15).
RECODE BIRTH_DATE (9999=15).
END IF.
EXECUTE.
DO IF (Age_child5 = 15).
RECODE BIRTH_DATE (9999=15).
END IF.
EXECUTE.
DO IF (Age_child6 = 15).
RECODE BIRTH_DATE (9999=15).
END IF.
EXECUTE.

COMPUTE control_age=BIRTH_DATE - C_age.
EXECUTE.



IF  (C_age = Age_child1) OK_Birthdate=BIRTH_DATE.1.
EXECUTE.
IF  (C_age = Age_child2) OK_Birthdate=BIRTH_DATE.2.
EXECUTE.
IF  (C_age = Age_child3) OK_Birthdate=BIRTH_DATE.3.
EXECUTE.
IF  (C_age = Age_child4) OK_Birthdate=BIRTH_DATE.4.
EXECUTE.
IF  (C_age = Age_child5) OK_Birthdate=BIRTH_DATE.5.
EXECUTE.
IF  (C_age = Age_child6) OK_Birthdate=BIRTH_DATE.6.
EXECUTE.

*One child (age 12).
IF (MEMBER_ID = 207816) OK_Birthdate=BIRTH_DATE.1.
EXECUTE.
*Child age (1,7,10,12; age reported = 13).
IF (MEMBER_ID = 75604) OK_Birthdate=BIRTH_DATE.4.
EXECUTE.
*Child age (6,12).
IF (MEMBER_ID = 69683) OK_Birthdate=BIRTH_DATE.2.
EXECUTE.
*Child age (13,17).
IF (MEMBER_ID = 169852) OK_Birthdate=BIRTH_DATE.1.
EXECUTE.
*Child age (13,22).
IF (MEMBER_ID = 8248) OK_Birthdate=BIRTH_DATE.1.
EXECUTE.
*Child age (13,20).
IF (MEMBER_ID = 171965) OK_Birthdate=BIRTH_DATE.1.
EXECUTE.



USE ALL.
COMPUTE filter_$=(OK_Birthdate >0).
VARIABLE LABELS filter_$ 'OK_Birthdate ~= $SYSMIS (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


